Windows 7 SP1 および Windows Server 2008 R2 SP1 用の .NET Framework 3.5.1、4.5.2、4.6、4.6.1、4.6.2、4.7、4.7.1、4.7.2、4.8 のセキュリティおよび品質ロールアップ (KB4499406)

適用対象: .NET Framework

概要


.NET Framework がヒープ メモリ内のオブジェクトを正しく処理しなかったり、NET Framework と .NET Core が RegEx 文字列を正しく処理しなかったりする場合に、サービス拒否の脆弱性が存在します。

脆弱性の詳細については、次の Common Vulnerabilities and Exposures (CVE) を参照してください。

重要

  • .NET Framework 4.7.2、4.7.1、4.7、4.6.2、4.6.1、4.6 のすべての更新プログラムを適用するには、d3dcompiler_47.dll の更新プログラムがインストールされている必要があります。 この更新プログラムを適用する前に、含まれている d3dcompiler_47.dll の更新プログラムをインストールすることをお勧めします。 d3dcompiler_47.dll の詳細については、KB 4019990 を参照してください。
  • この更新プログラムをインストールした後に言語パックをインストールした場合は、この更新プログラムを再インストールする必要があります。 そのため、この更新プログラムをインストールする前に、必要な言語パックをすべてインストールすることをお勧めします。 詳細については、「Windows への言語パックの追加」を参照してください。

この更新プログラムの関連情報


以下の資料では製品バージョン別に、この更新プログラムに関する追加情報が掲載されています。
  • 4495606 Windows 7 SP1 および Windows Server 2008 R2 SP1 用の .NET Framework 3.5.1 のセキュリティと品質ロールアップについて (KB4495606)
  • 4495596  Windows 7 SP1、Windows Server 2008 R2 SP1、および Windows Server 2008 の .NET Framework 4.5.2 のセキュリティおよび品質ロールアップについて (KB4495596)
  • 4495588  Windows 7 SP1 および Windows Server 2008 R2 SP1 用の .NET Framework 4.6、4.6.1、4.6.2、4.7、4.7.1、4.7.2、および Windows Server 2008 用の .NET Framework 4.6 のセキュリティおよび品質ロールアップについて (KB4495588)
  • 4495626  Windows 7 SP1 および Windows Server 2008 R2 SP1 用の .NET Framework 4.8 のセキュリティと品質ロールアップについて (KB4495626)

保護とセキュリティに関する情報